Get Domain Keys

Description

Get all keys for a specified Domain.

Request

GET /v1/domains/:domain/keys

Response

Successful response contains the following JSON formated body:

{
  preSharedKey: string,
  masterSecret: string,
  firebaseServerKey: string,
  snsTopicArn: string,
  snsRegion: string,
  customerEndpointType: string,
  webhookUrl: string,
  webhookUser: string,
  webhookPass: string,
  connectWebhookUrl: string,
  connectWebhookUser: string,
  connectWebhookPass: string,
  eventWebhookUrl: string,
  eventWebhookUser: string,
  eventWebhookPass: string,
  allowSelfSigned: boolean
}

Response Status codes:

  • 200 on success

Request headers

This request must have the following headers:

  • Authorization: bearer <ApiKey>
  • X-Nabto-Organization: <organizationId>

Example

Request

curl "https://api.cloud.nabto.com/v1/domains/:domain/keys" \
  -H "Authorization: Bearer <ApiKey>" \
  -H "X-Nabto-Organization: <OrganizationId>"

Response

{
   "preSharedKey": "01010101010101010101010101010101",
  "masterSecret": "<masterSecret>",
  "firebaseServerKey": "<firebaseServerKey>",
  "snsTopicArn": "<snsTopicArn>",
  "snsRegion": "<snsRegion>",
  "customerEndpointType": "<customerEndpointType>",
  "webhookUrl": "<webhookUrl>",
  "webhookUser": "<webhookUser>",
  "webhookPass": "<webhookPass>",
  "connectWebhookUrl": "<connectWebhookUrl>",
  "connectWebhookUser": "<connectWebhookUser>",
  "connectWebhookPass": "<connectWebhookPass>",
  "eventWebhookUrl": "<eventWebhookUrl>",
  "eventWebhookUser": "<eventWebhookUser>",
  "eventWebhookPass": "<eventWebhookPass>",
  "allowSelfSigned": true
}